TmetaTypelist.cpp File Reference
`#include <utl/meta/meta.h>`
`#include <gtest/gtest.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | TmetaTypelist::Identity< T >
struct | TmetaTypelist::MfunBin< T1, T2 >
struct | TmetaTypelist::MfunBin_i< a, b >
struct | TmetaTypelist::MfunUn1< T1 >
struct | TmetaTypelist::MfunUn2< T1 >
struct | TmetaTypelist::Pred_isInt< T >
struct | TmetaTypelist::Pred_isVoid< T >
struct | TmetaTypelist::F< T1, T2 >

## Namespaces

| TmetaTypelist

## Functions

| TmetaTypelist::TEST (TmetaTypelist, Invoke)
| TmetaTypelist::TEST (TmetaTypelist, Basics)
| TmetaTypelist::TEST (TmetaTypelist, ElementAccess)
| TmetaTypelist::TEST (TmetaTypelist, Concat)
| TmetaTypelist::TEST (TmetaTypelist, Fold)
| TmetaTypelist::TEST (TmetaTypelist, PushPopReverse)
| TmetaTypelist::TEST (TmetaTypelist, Transform)
| TmetaTypelist::TEST (TmetaTypelist, Find)
| TmetaTypelist::TEST (TmetaTypelist, Count)
| TmetaTypelist::TEST (TmetaTypelist, Filter)
| TmetaTypelist::TEST (TmetaTypelist, Replace)
| TmetaTypelist::TEST (TmetaTypelist, AllAnyNone)

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file TmetaTypelist.cpp.